package com.xkrs.service.impl;

import com.xkrs.dao.CameraDao;
import com.xkrs.dao.FireDao;
import com.xkrs.model.entity.CameraInformation;
import com.xkrs.service.CameraService;
import com.xkrs.util.Query;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author: XinYi Song
 * @Date: 2022/3/3 11:47
 */
public class CameraServiceImpl implements CameraService {
    @Resource
    private CameraDao cameraDao;

    @Override
    public List<CameraInformation> SelectCameraAll() {
        List<CameraInformation> cameraInformations =cameraDao.findAll();
        if (cameraInformations==null) {
            System.out.println("实现错误");
        }
        return cameraInformations;
    }

    @Override
    public boolean InsertCamera(CameraInformation cameraInformation) {

        try {
            cameraDao.save(cameraInformation);
            return  true;
        }
        catch (Exception e){

            return false;
        }


    }
}
